import Tree from './src/tree.vue';
export declare const LlTree: import("ll-plus/es/utils").SFCWithInstall<import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    readonly selectedKeys: {
        readonly type: import("vue").PropType<import("ant-design-vue/es/vc-tree/interface").Key[]>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly expandedKeys: {
        readonly type: import("vue").PropType<import("ant-design-vue/es/vc-tree/interface").Key[]>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly checkedKeys: {
        readonly type: import("vue").PropType<import("ll-plus/es/utils").EpPropMergeType<import("vue").PropType<import("ant-design-vue/es/vc-tree/interface").Key[] | {
            checked: import("ant-design-vue/es/vc-tree/interface").Key[];
            halfChecked: import("ant-design-vue/es/vc-tree/interface").Key[];
        }>, unknown, unknown>>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly treeData: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<import("ant-design-vue/es/tree").DataNode[]>, unknown, unknown, () => import("ant-design-vue/es/tree").DataNode[], boolean>;
    readonly defaultExpandAll: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly fieldNames: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<import("ant-design-vue/es/vc-tree/interface").FieldNames>, unknown, unknown, () => import("ant-design-vue/es/vc-tree/interface").FieldNames, boolean>;
    readonly multiple: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly checkStrictly: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly expandIcon: {
        readonly type: import("vue").PropType<{
            readonly iconName?: string;
            readonly color?: string;
            readonly size?: import("ll-plus/es/utils").EpPropMergeType<import("vue").PropType<string | number>, unknown, unknown>;
        }>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly collapseIcon: {
        readonly type: import("vue").PropType<{
            readonly iconName?: string;
            readonly color?: string;
            readonly size?: import("ll-plus/es/utils").EpPropMergeType<import("vue").PropType<string | number>, unknown, unknown>;
        }>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly virtual: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly height: {
        readonly type: import("vue").PropType<number>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly showIcon: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly clickRowExpand: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly enableOperate: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly enableLazyLoad: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly loadData: {
        readonly type: import("vue").PropType<(treeNode: import("ant-design-vue/es/tree").EventDataNode) => Promise<any>>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly cacheLoadedData: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly loadedKeys: {
        readonly type: import("vue").PropType<import("ant-design-vue/es/vc-tree/interface").Key[]>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly showLine: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly showLeafIcon: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly textColor: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "var(--color-text)", boolean>;
    readonly textSize: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 14, boolean>;
    readonly iconSize: NumberConstructor;
    readonly iconColor: StringConstructor;
}>, {
    slots: Readonly<{
        [name: string]: import("vue").Slot<any>;
    }>;
    attrs: import("vue").Attrs;
    props: import("@vue/shared").LooseRequired<Readonly<import("vue").ExtractPropTypes<{
        readonly selectedKeys: {
            readonly type: import("vue").PropType<import("ant-design-vue/es/vc-tree/interface").Key[]>;
            readonly required: false;
            readonly validator: (val: unknown) => boolean;
            __epPropKey: true;
        };
        readonly expandedKeys: {
            readonly type: import("vue").PropType<import("ant-design-vue/es/vc-tree/interface").Key[]>;
            readonly required: false;
            readonly validator: (val: unknown) => boolean;
            __epPropKey: true;
        };
        readonly checkedKeys: {
            readonly type: import("vue").PropType<import("ll-plus/es/utils").EpPropMergeType<import("vue").PropType<import("ant-design-vue/es/vc-tree/interface").Key[] | {
                checked: import("ant-design-vue/es/vc-tree/interface").Key[];
                halfChecked: import("ant-design-vue/es/vc-tree/interface").Key[];
            }>, unknown, unknown>>;
            readonly required: false;
            readonly validator: (val: unknown) => boolean;
            __epPropKey: true;
        };
        readonly treeData: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<import("ant-design-vue/es/tree").DataNode[]>, unknown, unknown, () => import("ant-design-vue/es/tree").DataNode[], boolean>;
        readonly defaultExpandAll: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
        readonly fieldNames: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<import("ant-design-vue/es/vc-tree/interface").FieldNames>, unknown, unknown, () => import("ant-design-vue/es/vc-tree/interface").FieldNames, boolean>;
        readonly multiple: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
        readonly checkStrictly: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
        readonly expandIcon: {
            readonly type: import("vue").PropType<{
                readonly iconName?: string;
                readonly color?: string;
                readonly size?: import("ll-plus/es/utils").EpPropMergeType<import("vue").PropType<string | number>, unknown, unknown>;
            }>;
            readonly required: false;
            readonly validator: (val: unknown) => boolean;
            __epPropKey: true;
        };
        readonly collapseIcon: {
            readonly type: import("vue").PropType<{
                readonly iconName?: string;
                readonly color?: string;
                readonly size?: import("ll-plus/es/utils").EpPropMergeType<import("vue").PropType<string | number>, unknown, unknown>;
            }>;
            readonly required: false;
            readonly validator: (val: unknown) => boolean;
            __epPropKey: true;
        };
        readonly virtual: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
        readonly height: {
            readonly type: import("vue").PropType<number>;
            readonly required: false;
            readonly validator: (val: unknown) => boolean;
            __epPropKey: true;
        };
        readonly showIcon: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
        readonly clickRowExpand: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
        readonly enableOperate: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
        readonly enableLazyLoad: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
        readonly loadData: {
            readonly type: import("vue").PropType<(treeNode: import("ant-design-vue/es/tree").EventDataNode) => Promise<any>>;
            readonly required: false;
            readonly validator: (val: unknown) => boolean;
            __epPropKey: true;
        };
        readonly cacheLoadedData: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
        readonly loadedKeys: {
            readonly type: import("vue").PropType<import("ant-design-vue/es/vc-tree/interface").Key[]>;
            readonly required: false;
            readonly validator: (val: unknown) => boolean;
            __epPropKey: true;
        };
        readonly showLine: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
        readonly showLeafIcon: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
        readonly textColor: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "var(--color-text)", boolean>;
        readonly textSize: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 14, boolean>;
        readonly iconSize: NumberConstructor;
        readonly iconColor: StringConstructor;
    }>> & Readonly<{
        onSelect?: (selectKeys: import("ant-design-vue/es/vc-tree/interface").Key[], e?: any) => any;
        onExpand?: (expandedKeys: import("ant-design-vue/es/vc-tree/interface").Key[], e?: any) => any;
        "onUpdate:selectedKeys"?: (value: any) => any;
        "onUpdate:expandedKeys"?: (value: any) => any;
        "onUpdate:checkedKeys"?: (value: any) => any;
        onCheck?: (checkKeys: import("ant-design-vue/es/vc-tree/interface").Key[] | {
            checked: import("ant-design-vue/es/vc-tree/interface").Key[];
            halfChecked: import("ant-design-vue/es/vc-tree/interface").Key[];
        }, e?: any) => any;
        onNodeClick?: (nodeData: any) => any;
    }> & {}>;
    emits: ((event: "select", selectKeys: import("ant-design-vue/es/vc-tree/interface").Key[], e?: any) => void) & ((event: "expand", expandedKeys: import("ant-design-vue/es/vc-tree/interface").Key[], e?: any) => void) & ((event: "update:selectedKeys", value: any) => void) & ((event: "update:expandedKeys", value: any) => void) & ((event: "update:checkedKeys", value: any) => void) & ((event: "check", checkKeys: import("ant-design-vue/es/vc-tree/interface").Key[] | {
        checked: import("ant-design-vue/es/vc-tree/interface").Key[];
        halfChecked: import("ant-design-vue/es/vc-tree/interface").Key[];
    }, e?: any) => void) & ((event: "nodeClick", nodeData: any) => void);
    bem: {
        b: (blockSuffix?: string) => string;
        e: (element?: string) => string;
        m: (modifier?: string) => string;
        be: (blockSuffix?: string, element?: string) => string;
        em: (element: string, modifier: string) => string;
        bm: (blockSuffix: string, modifier: string) => string;
        bem: (blockSuffix: string, element: string, modifier: string) => string;
        is: (name?: string) => string;
    };
    containerAttrs: import("vue").ComputedRef<{
        class: any;
        style: any;
    }>;
    componentAttrs: import("vue").ComputedRef<import("lodash").Omit<import("vue").Attrs, "class" | "style">>;
    filterSlots: import("vue").ComputedRef<string[]>;
    fieldKey: import("vue").ComputedRef<string>;
    fieldTitle: import("vue").ComputedRef<string>;
    fieldChildren: import("vue").ComputedRef<string>;
    initSelectedKeys: import("vue").Ref<import("ant-design-vue/es/_util/type").Key[], import("ant-design-vue/es/_util/type").Key[]>;
    initExpandedKeys: import("vue").Ref<import("ant-design-vue/es/_util/type").Key[], import("ant-design-vue/es/_util/type").Key[]>;
    initCheckedKeys: import("vue").Ref<import("ant-design-vue/es/vc-tree/interface").Key[] | {
        checked: import("ant-design-vue/es/vc-tree/interface").Key[];
        halfChecked: import("ant-design-vue/es/vc-tree/interface").Key[];
    }, import("ant-design-vue/es/vc-tree/interface").Key[] | {
        checked: import("ant-design-vue/es/vc-tree/interface").Key[];
        halfChecked: import("ant-design-vue/es/vc-tree/interface").Key[];
    } | {
        checked: import("ant-design-vue/es/vc-tree/interface").Key[];
        halfChecked: import("ant-design-vue/es/vc-tree/interface").Key[];
    }>;
    newSelectedKeys: import("vue").WritableComputedRef<import("ant-design-vue/es/vc-tree/interface").Key[], import("ant-design-vue/es/_util/type").Key[]>;
    newExpandedKeys: import("vue").WritableComputedRef<import("ant-design-vue/es/vc-tree/interface").Key[], import("ant-design-vue/es/_util/type").Key[]>;
    newCheckedKeys: import("vue").WritableComputedRef<import("ll-plus/es/utils").EpPropMergeType<import("vue").PropType<import("ant-design-vue/es/vc-tree/interface").Key[] | {
        checked: import("ant-design-vue/es/vc-tree/interface").Key[];
        halfChecked: import("ant-design-vue/es/vc-tree/interface").Key[];
    }>, unknown, unknown>, import("ant-design-vue/es/vc-tree/interface").Key[] | {
        checked: import("ant-design-vue/es/vc-tree/interface").Key[];
        halfChecked: import("ant-design-vue/es/vc-tree/interface").Key[];
    }>;
    onExpand: (keys: import("ant-design-vue/es/_util/type").Key[], e?: any) => void;
    onSelect: (keys: import("ant-design-vue/es/_util/type").Key[], e?: any) => void;
    onCheck: (keys: import("ant-design-vue/es/vc-tree/interface").Key[] | {
        checked: import("ant-design-vue/es/vc-tree/interface").Key[];
        halfChecked: import("ant-design-vue/es/vc-tree/interface").Key[];
    }, e?: any) => void;
    nodeClick: (data: any) => void;
    expandAll: () => void;
    collapseAll: () => void;
    expandRoot: (key: import("ant-design-vue/es/_util/type").Key) => void;
    collapseRoot: (key: import("ant-design-vue/es/_util/type").Key) => void;
    expandAllRoots: () => void;
    collapseAllRoots: () => void;
    selection: (key: import("ant-design-vue/es/_util/type").Key) => void;
    clearSelection: (key: import("ant-design-vue/es/_util/type").Key) => void;
    checkedAll: () => void;
    deselectAll: () => void;
    getAllNodeKeys: () => import("ant-design-vue/es/_util/type").Key[];
    findNode: (key: import("ant-design-vue/es/_util/type").Key) => import("ant-design-vue/es/tree").DataNode;
}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    readonly 'update:selectedKeys': (value: any) => boolean;
    readonly 'update:expandedKeys': (value: any) => boolean;
    readonly 'update:checkedKeys': (value: any) => boolean;
    readonly expand: (expandedKeys: import("ant-design-vue/es/vc-tree/interface").Key[], e?: any) => boolean;
    readonly select: (selectKeys: import("ant-design-vue/es/vc-tree/interface").Key[], e?: any) => boolean;
    readonly check: (checkKeys: import("ant-design-vue/es/vc-tree/interface").Key[] | {
        checked: import("ant-design-vue/es/vc-tree/interface").Key[];
        halfChecked: import("ant-design-vue/es/vc-tree/interface").Key[];
    }, e?: any) => boolean;
    readonly nodeClick: (nodeData: any) => boolean;
}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    readonly selectedKeys: {
        readonly type: import("vue").PropType<import("ant-design-vue/es/vc-tree/interface").Key[]>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly expandedKeys: {
        readonly type: import("vue").PropType<import("ant-design-vue/es/vc-tree/interface").Key[]>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly checkedKeys: {
        readonly type: import("vue").PropType<import("ll-plus/es/utils").EpPropMergeType<import("vue").PropType<import("ant-design-vue/es/vc-tree/interface").Key[] | {
            checked: import("ant-design-vue/es/vc-tree/interface").Key[];
            halfChecked: import("ant-design-vue/es/vc-tree/interface").Key[];
        }>, unknown, unknown>>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly treeData: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<import("ant-design-vue/es/tree").DataNode[]>, unknown, unknown, () => import("ant-design-vue/es/tree").DataNode[], boolean>;
    readonly defaultExpandAll: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly fieldNames: import("ll-plus/es/utils").EpPropFinalized<import("vue").PropType<import("ant-design-vue/es/vc-tree/interface").FieldNames>, unknown, unknown, () => import("ant-design-vue/es/vc-tree/interface").FieldNames, boolean>;
    readonly multiple: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly checkStrictly: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly expandIcon: {
        readonly type: import("vue").PropType<{
            readonly iconName?: string;
            readonly color?: string;
            readonly size?: import("ll-plus/es/utils").EpPropMergeType<import("vue").PropType<string | number>, unknown, unknown>;
        }>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly collapseIcon: {
        readonly type: import("vue").PropType<{
            readonly iconName?: string;
            readonly color?: string;
            readonly size?: import("ll-plus/es/utils").EpPropMergeType<import("vue").PropType<string | number>, unknown, unknown>;
        }>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly virtual: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly height: {
        readonly type: import("vue").PropType<number>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly showIcon: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly clickRowExpand: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly enableOperate: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly enableLazyLoad: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly loadData: {
        readonly type: import("vue").PropType<(treeNode: import("ant-design-vue/es/tree").EventDataNode) => Promise<any>>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly cacheLoadedData: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, true, boolean>;
    readonly loadedKeys: {
        readonly type: import("vue").PropType<import("ant-design-vue/es/vc-tree/interface").Key[]>;
        readonly required: false;
        readonly validator: (val: unknown) => boolean;
        __epPropKey: true;
    };
    readonly showLine: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly showLeafIcon: import("ll-plus/es/utils").EpPropFinalized<BooleanConstructor, unknown, unknown, false, boolean>;
    readonly textColor: import("ll-plus/es/utils").EpPropFinalized<StringConstructor, unknown, unknown, "var(--color-text)", boolean>;
    readonly textSize: import("ll-plus/es/utils").EpPropFinalized<NumberConstructor, unknown, unknown, 14, boolean>;
    readonly iconSize: NumberConstructor;
    readonly iconColor: StringConstructor;
}>> & Readonly<{
    onSelect?: (selectKeys: import("ant-design-vue/es/vc-tree/interface").Key[], e?: any) => any;
    onExpand?: (expandedKeys: import("ant-design-vue/es/vc-tree/interface").Key[], e?: any) => any;
    "onUpdate:selectedKeys"?: (value: any) => any;
    "onUpdate:expandedKeys"?: (value: any) => any;
    "onUpdate:checkedKeys"?: (value: any) => any;
    onCheck?: (checkKeys: import("ant-design-vue/es/vc-tree/interface").Key[] | {
        checked: import("ant-design-vue/es/vc-tree/interface").Key[];
        halfChecked: import("ant-design-vue/es/vc-tree/interface").Key[];
    }, e?: any) => any;
    onNodeClick?: (nodeData: any) => any;
}>, {
    readonly textColor: string;
    readonly virtual: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly multiple: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly fieldNames: import("ant-design-vue/es/vc-tree/interface").FieldNames;
    readonly treeData: import("ant-design-vue/es/tree").DataNode[];
    readonly showLine: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly showIcon: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly checkStrictly: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly defaultExpandAll: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly clickRowExpand: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly enableOperate: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly enableLazyLoad: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly cacheLoadedData: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly showLeafIcon: import("ll-plus/es/utils").EpPropMergeType<BooleanConstructor, unknown, unknown>;
    readonly textSize: number;
}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>>;
export default LlTree;
export * from './src/tree';
declare module 'vue' {
    interface GlobalComponents {
        LlTree: typeof Tree;
    }
}
